#include "coordonn.h"

double   *init_mat(int n) ;
void     m_translation(double *mat,struct coord_3D *t) ;
void     prodmat(int *a,double *b,int *c,int n,int m) ;
void     rotation_entier(int *mat,int dx,int dy,int dz,int n,int m) ;
void     rotation_reel(double *mat,double dx,double dy,double dz,int n,int m) ;
void     rotation_reel_entier(double *mat,int dx,int dy,int dz,int n,int m) ;
void     rotation_reel_court_entier(float *mat,int dx,int dy,int dz,int n,int m) ;
void     rotation_zoom_2_matrices(int *mat1,int *mat2,int dx,int dy,int dz,double z,int n1,int n2,int m) ;
void     rotation_zoom_1_matrice(int *mat1,int dx,int dy,int dz,double z,int n1,int m) ;
double   *rotation_zoom(int dx,int dy,int dz,double z,int m) ;
void     zoom(int *mat,double ex,double ey,double ez,int n,int m) ;
void     prodmat_reel_unique(double *a,double *b,double *c,int m) ;
void     prodmat_reel(double *a,double *b,double *c,int n,int m) ;
void     prodmat_reel_court(float *a,double *b,float *c,int n,int m) ;
void     rot_x_reel(double *mat,double dx,int m) ;
void     rot_y_reel(double *mat,double dy,int m) ;
void     rot_z_reel(double *mat,double dz,int m) ;
void     mat_invariant(double *mat,int n) ;
void     multiplication_coord_4D(struct coord_4D *c,double f) ;
void     multiplication_coord_3D(struct coord_3D_court *c,double f) ;
void     translation(double *mat,double tx,double ty,double tz,int n) ;
void     prodmat_reel_vecteur(double *a,double *b,double *c,int n) ;
void     prodmat_reel_vecteur_3(double *a,double *b) ;
double   *calcul_transformation_placement(union coord_3D_homogenes *centre,struct orientation *orientation,struct affinite *affinite,double taille) ;
void     produit_matrice(double *b,float *a,float *c) ;
